USE [sans]
GO

/****** Object:  Table [dbo].[carts]    Script Date: 10/19/2011 11:05:19 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[carts](
	[cartid] [int] IDENTITY(1,1) NOT NULL,
	[sessionid] [uniqueidentifier] NOT NULL,
	[userid] [nvarchar](256) NOT NULL,
	[itemid] [int] NOT NULL,
 CONSTRAINT [PK_carts] PRIMARY KEY CLUSTERED 
(
	[cartid] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[carts]  WITH CHECK ADD  CONSTRAINT [FK_carts_aspnet_Users] FOREIGN KEY([userid])
REFERENCES [dbo].[aspnet_Users] ([UserName])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[carts] CHECK CONSTRAINT [FK_carts_aspnet_Users]
GO

ALTER TABLE [dbo].[carts]  WITH CHECK ADD  CONSTRAINT [FK_carts_sessions] FOREIGN KEY([sessionid])
REFERENCES [dbo].[sessions] ([sessionid])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[carts] CHECK CONSTRAINT [FK_carts_sessions]
GO

